Get WhatsApp sync status
GET
Get the current sync status for a sender's WhatsApp coexistence account. Only available for senders connected in coexistence mode (WhatsApp Business App + Cloud API).
Authorization
AuthorizationheaderrequiredBearer YOUR_API_KEY. Create a key in the dashboard.
Path parameters
senderIdstringrequired
Responses
200Sync status.
syncobjectrequiredWhatsApp coexistence sync status.
4 properties
isCoexistencebooleanrequiredWhether the account is in coexistence mode.
statusstringrequiredWhatsApp account status.
One ofpending_verificationpending_registrationactivedisconnectederrorhistoryobjectrequiredHistory sync status details.
4 properties
statusstringrequiredStatus of WhatsApp message history sync.
One ofnot_requestedpendingsyncingcompletedrejectedcanSyncbooleanrequiredWhether history sync can be initiated.
requestedAtstring<date-time>When the sync was last requested.
completedAtstring<date-time>When the sync was completed.
contactsobjectrequiredContacts sync status details.
3 properties
statusstringrequiredStatus of WhatsApp contacts sync.
One ofnot_requestedpendingsyncingcompletedcanSyncbooleanrequiredWhether contacts sync can be initiated.
requestedAtstring<date-time>When the sync was last requested.
400Sender does not have a WhatsApp Business Account connected or is not in coexistence mode.
codestringrequiredmessagestringrequireddetailsobject
401Unauthorized.
codestringrequiredmessagestringrequireddetailsobject
404Sender not found.
codestringrequiredmessagestringrequireddetailsobject